subroutine u_init_gf(grid,t,dt,dr)
!---------------------------------------------------------------------------
! At initial time (t) set of grid functions defined in GF3TL structure
! is initialized. Some of the function may have to be initialized on 
! more than one time level
!
! User is responsible for providing this routine.
! --------------------------------------------------------------------------

use bh02
type(GF3TL),pointer     :: grid
real(SP)                :: t,dt
real(SP), dimension(3)  :: dr

integer(I4B) ngf,igf,itl,ntl

write(6,*) "WARNING DUMMY_init_gf.f90 is used"

ngf=grid%n_gfcn
do igf=1,ngf
   ntl=grid%gfcn(igf)%n_t
   do itl=1,ntl
     grid%gfcn(itl)%tlev(itl)%data(:,:,:)=0.0
   enddo
enddo

return  
end subroutine u_init_gf



